summaryrefslogtreecommitdiffstats
path: root/deps/qt5-webkit/qt5-webkit.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-10-24 14:02:03 +0200
committer Eric Hameleers <alien@slackware.com>2018-10-24 14:02:03 +0200
commitf8c0c8d872fd4d0b8920ecabf107a99044813099 (patch)
treede6909691de61d65ea830730d53018560892ae12 /deps/qt5-webkit/qt5-webkit.SlackBuild
parent1c8065c7b7a544bc02a6eced8087de1ac1bd069f (diff)
downloadktown-f8c0c8d872fd4d0b8920ecabf107a99044813099.tar.gz
ktown-f8c0c8d872fd4d0b8920ecabf107a99044813099.tar.xz
Updates to the dependencies for upcoming Plasma5 release
The update of icu4c in -current required that several packages had to be recompiled or upgraded to get them to work again. Unfortunately the update of icu4c in -current co-incided with my release of KDE 5_18.10 and these deps had to be fixed post-release. Some issues emerged as a result of these updates: - SIP now stores private copies of sip.so in PyQt5 subdirectories, and the hp-systray in the hplip package fails to start as a result - In the new QScintilla packages, I was unable to compile the Python2 bindings for PyQt4.
Diffstat (limited to '')
-rwxr-xr-xdeps/qt5-webkit/qt5-webkit.SlackBuild60
1 files changed, 17 insertions, 43 deletions
diff --git a/deps/qt5-webkit/qt5-webkit.SlackBuild b/deps/qt5-webkit/qt5-webkit.SlackBuild
index 721b79d..9650189 100755
--- a/deps/qt5-webkit/qt5-webkit.SlackBuild
+++ b/deps/qt5-webkit/qt5-webkit.SlackBuild
@@ -22,13 +22,14 @@
# Derived from the qt5.SlackBuild
-# Modifications for qt5-webkit 5.6.0, 5.6.1, 5.7.0, 5.7.1, 5.9.0, 5.9.1 2016,2017 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt5-webkit 5.6.0, 5.6.1, 5.7.0, 5.7.1, 5.9.0, 5.9.1, 5.212 2016, 2017, 2018 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5-webkit
-VERSION=${VERSION:-5.9.1}
-BUILD=${BUILD:-3}
+SRCVER=${SRCVER:-"5.212.0-alpha2"}
+VERSION=$(echo $SRCVER | tr - _)
+BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:--j7}
+NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -58,13 +59,6 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKLDFLAGS=""
SLKLDFLAGS="-L/usr/lib64"
LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- # To prevent "qatomic_armv6.h error: output number 2 not directly addressable"
- # More permanent solution is to patch gcc:
- # http://bazaar.launchpad.net/~linaro-toolchain-dev/gcc-linaro/4.6/revision/106731
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -fno-strict-volatile-bitfields"
- SLKLDFLAGS=""
- LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
SLKLDFLAGS=""
@@ -83,21 +77,14 @@ PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf qtwebkit-opensource-src-$VERSION
-echo "Extracting qtwebkit-opensource-src-$VERSION.tar.xz"
-tar xf $CWD/qtwebkit-opensource-src-$VERSION.tar.xz || exit 1
-cd qtwebkit-opensource-src-$VERSION || exit 1
+rm -rf qtwebkit-$SRCVER
+echo "Extracting qtwebkit-$SRCVER.tar.xz"
+tar xf $CWD/qtwebkit-$SRCVER.tar.xz || exit 1
+cd qtwebkit-$SRCVER || exit 1
# Prevent crashes when compiled with gcc7:
cat $CWD/patches/qt5-webkit.gcc7.patch | patch -p1 --verbose || exit 1
-## Prevent compile error against icu-59:
-#cat $CWD/patches/qt5-webkit.icu59.patch | patch -p1 --verbose || exit 1
-
-# Avoid literally thousands of unneeded warning messages (thanks BLFS):
-sed -e '/CONFIG/a QMAKE_CXXFLAGS += -Wno-expansion-to-defined' \
- -i Tools/qmake/mkspecs/features/unix/default_pre.prf
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -114,41 +101,29 @@ else
fi
export CFLAGS="$SLKCFLAGS"
-export CXXFLAGS="$SLKCFLAGS"
-export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS -fpermissive"
+export OPENSOURCE_CXXFLAGS="$SLKCFLAGS -fpermissive"
export QTDIR="/usr/lib$LIBDIRSUFFIX/qt5"
export LD_LIBRARY_PATH="${QTDIR}/qtbase/lib:${QTDIR}/qttools/lib:${LD_LIBRARY_PATH}"
mkdir build
cd build
- qmake-qt5 ../WebKit.pro
- make || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ cmake .. \
+ -DPORT=Qt \
+ -DQt5_DIR=$QTDIR \
+ -DCMAKE_BUILD_TYPE=Release
+ make ${NUMJOBS} || make || exit 1
+ make install DESTDIR=$PKG || exit 1
cd ..
# Strip binaries the Slackware way:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Fix internal linking for Qt5WebKit.pc , thanks to Larry Hajali's SBo script:
-sed -i \
- -e "s|-Wl,-whole-archive -lWebKit1 -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebKit[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lWebKit2 -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebKit2[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lWebCore -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebCore[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lANGLE -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/ThirdParty/ANGLE[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lJavaScriptCore -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/JavaScriptCore[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lWTF -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WTF[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lleveldb -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/ThirdParty/leveldb[^ ]* ||" \
- $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/Qt5WebKit.pc
-
# Fix the path in prl files:
find "$PKG/usr/lib${LIBDIRSUFFIX}" -type f -name '*.prl' \
-exec sed -i -e '/^QMAKE_PRL_BUILD_DIR/d;s/\(QMAKE_PRL_LIBS =\).*/\1/' {} \;
-## Fix the qmake path in pri file:
-#sed -i "s,${QTDIR}/qtbase,/usr/lib${LIBDIRSUFFIX}/qt5," \
-# $PKG/usr/lib${LIBDIRSUFFIX}/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri
-
# Add a documentation directory:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
@@ -162,7 +137,6 @@ fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz